/* eslint no-undef: 0 */
/* eslint arrow-parens: 0 */
import React from 'react';
import { enquireScreen } from 'enquire-js';

import Nav0 from './Nav0';
import Content13 from './Content13';
import Feature1 from './Feature1';
import Feature2 from './Feature2';
import Footer1 from './Footer1';
import Feature5 from './Feature5';

import {
  Nav00DataSource,
  Content130DataSource,
  Feature10DataSource,
  Feature20DataSource,
  Feature11DataSource,
  Footer10DataSource,
  Feature50DataSource
} from './data.source';
import './less/antMotionStyle.less';

import Partners from '../../components/Partners'

let isMobile;
enquireScreen((b) => {
  isMobile = b;
});

const { location = {} } = typeof window !== 'undefined' ? window : {};

export default class Home extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      isMobile,
      show: !location.port, // 如果不是 dva 2.0 请删除
    };
  }

  componentDidMount() {
    // 适配手机屏幕;
    enquireScreen((b) => {
      this.setState({ isMobile: !!b });
    });
    // dva 2.0 样式在组件渲染之后动态加载，导致滚动组件不生效；线上不影响；
    /* 如果不是 dva 2.0 请删除 start */
    if (location.port) {
      // 样式 build 时间在 200-300ms 之间;
      setTimeout(() => {
        this.setState({
          show: true,
        });
      }, 500);
    }
    /* 如果不是 dva 2.0 请删除 end */
  }

  render() {
    const children = [
      <Nav0
        id="Nav0_0"
        key="Nav0_0"
        dataSource={Nav00DataSource}
        isMobile={this.state.isMobile}
      />,
      <Content13
        id="Content13_0"
        key="Content13_0"
        dataSource={Content130DataSource}
        isMobile={this.state.isMobile}
      />,
      // <Feature1
      //   id="Feature1_0_int"
      //   key="Feature1_0"
      //   dataSource={Feature10DataSource}
      //   isMobile={this.state.isMobile}
      // />,
      // <Feature2
      //   id="Feature2_0_int"
      //   key="Feature2_0_int"
      //   dataSource={Feature20DataSource}
      //   isMobile={this.state.isMobile}
      // />,
      // <Feature1
      //   id="Feature1_1_int"
      //   key="Feature1_1"
      //   dataSource={Feature11DataSource}
      //   isMobile={this.state.isMobile}
      // />,
      <Feature5
        id="Feature5_0"
        key="Feature5_0"
        dataSource={Feature50DataSource}
        isMobile={this.state.isMobile}
      />,
      <Partners
        id="partners1_1"
        key="partners1_1"
        isMobile={this.state.isMobile}
      />,
      <Footer1
        id="Footer1_0"
        key="Footer1_0"
        dataSource={Footer10DataSource}
        isMobile={this.state.isMobile}
      />,
    ];
    return (
      <div
        className="templates-wrapper"
        ref={(d) => {
          this.dom = d;
        }}
      >
        {/* 如果不是 dva 2.0 替换成 {children} start */}
        {this.state.show && children}
        {/* 如果不是 dva 2.0 替换成 {children} end */}
      </div>
    );
  }
}
